Subject: Re: [PATCH RFC russell-king 0/4] Support for RollBall 10G copper SFP modules

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 11 Aug 2020 16:08:09 +0100

On Tue, Aug 11, 2020 at 12:06:41AM +0200, Marek Behún wrote:
> Hi Russell,
> 
> this series should apply on linux-arm git repository, on branch
> clearfog.
> 
> Some internet providers are already starting to offer 2.5G copper
> connectivity to their users. On Turris Omnia the SFP port is capable
> of 2.5G speed, so we tested some copper SFP modules.
> 
> This adds support to the SFP subsystem for 10G RollBall copper modules
> which contain a Marvell 88X3310 PHY. By default these modules are
> configured in 10GKR only mode on the host interface, and also contain
> some bad information in EEPROM (the extended_cc byte).

Are you sure they are 10GBASE-KR, and not 10GBASE-R ?  Please send me
the contents of MMD 31 register 0xf001.  Also knowing MMD 1 registers
2 and 3 would be useful to confirm exactly which version of the PHY
has been used.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!